changelog:
  exclude:
    authors: [dependabot, github-actions, pre-commit-ci]
  categories:
    - title: 💥 Breaking Changes
      labels: [breaking]
    - title: 🎉 New Features
      labels: [feature]
    - title: 🐛 Bug Fixes
      labels: [fix]
    - title: 🛠 Enhancements
      labels: [enhancement, DX, UX]
    - title: 📖 Documentation
      labels: [docs]
    - title: 🧹 House-Keeping
      labels: [housekeeping]
    - title: 🚀 Performance
      labels: [performance]
    - title: 🚧 CI
      labels: [ci]
    - title: 💡 Refactoring
      labels: [refactor]
    - title: 🧪 Tests
      labels: [tests]
    - title: 🧹 Linting
      labels: [linting]
    - title: 🔒 Security Fixes
      labels: [security]
    - title: 🏥 Package Health
      labels: [pkg]
    - title: 📦 Dependencies
      labels: [dependencies, outdated]
    - title: 🏷️ Type Hints
      labels: [types]
    - title: 🤷‍♂️ Other Changes
      labels: ["*"]
